Consent Receipts
Get consent receipts by subject
Returns all consent receipts associated with a specific data subject.
curl -X GET "https://api.neostra.io/api/v1/consent-receipt/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.neostra.io/api/v1/consent-receipt/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.neostra.io/api/v1/consent-receipt/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.neostra.io/api/v1/consent-receipt/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.neostra.io/api/v1/consent-receipt/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"status": 200,
"message": "Success",
"data": {},
"errors": [
"example_string"
]
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
GET
/api/v1/consent-receipt/{subjectId}GET
path
subjectIdstring
RequiredThe data subject identifier
Request Preview
Response
Response will appear here after sending the request
Path Parameters
subjectIdstring
RequiredThe data subject identifier
Responses
statusinteger
HTTP status code
messagestring
Response message
dataobject
Response payload
errorsstring[]
List of error details, if any
Was this page helpful?
Last updated 1 week ago
Built with Documentation.AI